diff --git a/.gitmodules b/.gitmodules
new file mode 100644
index 0000000000000000000000000000000000000000..f14aa1380c64e8c39fdcde586a9c02ae96c6d0eb
--- /dev/null
+++ b/.gitmodules
@@ -0,0 +1,3 @@
+[submodule "gluon"]
+	path = gluon
+	url = https://github.com/freifunk-stuttgart/gluon.git
diff --git a/buildall.sh b/buildall.sh
new file mode 100755
index 0000000000000000000000000000000000000000..7be52535fcc1a3ba8cabfec6d5c54cb226a19a47
--- /dev/null
+++ b/buildall.sh
@@ -0,0 +1,28 @@
+#!/bin/bash
+
+set -eu
+set -o pipefail
+
+build_date=$(date +%Y-%m-%d)
+branch=nightly
+
+TARGETS=(
+	ar71xx-generic 
+	ar71xx-nand 
+	ar71xx-tiny 
+	brcm2708-bcm2708 
+	brcm2708-bcm2709 
+	ipq40xx 
+	mpc85xx-generic
+	ramips-mt7620
+	ramips-mt76x8
+#	ramips-rt305x # build fails
+	x86-64
+	x86-generic
+	x86-geode
+)
+
+for target in ${TARGETS[@]}; do
+	echo Building $target
+	make -C gluon GLUON_TARGET=$target -j5 BUILD_DATE=$build_date GLUON_BRANCH=$branch GLUON_SITEDIR=../
+done
diff --git a/gluon b/gluon
new file mode 160000
index 0000000000000000000000000000000000000000..69b3087b7d5a59ff0d3dadce7294744ce84b89b4
--- /dev/null
+++ b/gluon
@@ -0,0 +1 @@
+Subproject commit 69b3087b7d5a59ff0d3dadce7294744ce84b89b4
diff --git a/site.mk b/site.mk
index b852d0d846e6792b4ef81e920f6ab854ac05838f..f3582cdcc3cfedf64448f1e77971bc2d435a3d6f 100644
--- a/site.mk
+++ b/site.mk
@@ -65,7 +65,7 @@ DEFAULT_BUILD_DATE := $(shell date '+%Y-%m-%d')
 
 BUILD_DATE ?= $(DEFAULT_BUILD_DATE)
 
-DEFAULT_GLUON_RELEASE := 1.5+$(BUILD_DATE)-g.$(shell git -C $(GLUON_SITEDIR)/../ log --pretty=format:'%h' -n 1)-s.$(shell git -C $(GLUON_SITEDIR) log --pretty=format:'%h' -n 1)
+DEFAULT_GLUON_RELEASE := 1.5+$(BUILD_DATE)-g.$(shell git -C $(GLUON_SITEDIR)/gluon log --pretty=format:'%h' -n 1)-s.$(shell git -C $(GLUON_SITEDIR) log --pretty=format:'%h' -n 1)
 
 GLUON_LANGS := de en